
edge = [0.0626315789473684;0.0608421052631579;0.0608421052631579;
    0.0608421052631579;0.0608421052631579;0.0608421052631579;0.0608421052631579;
    0.0608421052631579;0.0609473684210526;0.0609473684210526;0.0608421052631579;
    0.0608421052631579;0.0608421052631579;0.0614736842105263;0.110842105263158;
    0.166421052631579;0.250105263157895;0.343052631578947;0.448210526315789;
    0.540421052631579;0.642631578947368;0.740421052631579;0.836421052631579;
    0.930105263157895;0.968315789473684;0.980210526315789;0.983578947368421;
    0.983684210526316;0.983789473684211;0.983789473684211;0.983789473684211;
    0.983789473684211;0.983263157894737;0.978526315789474;0.957894736842105; 
    0.90178947368421;0.815684210526316;0.717789473684211;0.613578947368421;
    0.507157894736842;0.406421052631579;0.299052631578947;0.203368421052632;
    0.111263157894737;0.0807368421052632;0.0604210526315789;0.0598947368421053;
    0.0598947368421053;0.0598947368421053;0.0598947368421053;0.0598947368421053;
    0.0598947368421053;0.0597894736842105;0.0597894736842105;0.0597894736842105;
    0.0597894736842105;0.0597894736842105;0.0597894736842105;0.0597894736842105];
%save("edge-s1", "edge");

directory = "DATA/*.txt";
tmp  = dir(directory);
tmp = struct2cell(tmp);
data.todo = string(tmp(1, :));
data.file = data.todo(1);
file = fopen("DATA/"+data.file, "r");
fgetl(file);
formatSpec = '%f %f %f';
sizeA = [3 inf];
A = fscanf(file,formatSpec,sizeA);
A = A.';
A(:, 2) = A(:, 2)/19000;
A(:, 3) = A(:, 3)/1000;
range = 269:349;
edge = A(range,2);
save("edge-s1", "edge");
plot(A(range,1), A(range,2), "b");
    